cURL
curl --request GET \
--url https://api.eka.care/abdm/v1/provider/{hip_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eka.care/abdm/v1/provider/{hip_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eka.care/abdm/v1/provider/{hip_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"city": "<string>",
"hip_id": "<string>",
"hip_name": "<string>",
"state": "<string>"
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}Search
Get Provider Details
Fetches the Providers based on the HIP ID.
GET
/
abdm
/
v1
/
provider
/
{hip_id}
cURL
Authorizations
The API requires a Bearer token (JWT) for authentication.
Headers
Eka User ID (OID)
Partner User ID
Partner HIP ID
Path Parameters
Identifier for the Health Information Provider (HIP).
Query Parameters
OID is used to Identify the user.
Response
OK
Was this page helpful?
⌘I

